Modify

Opened 5 years ago

Closed 5 years ago

#5697 closed defect (invalid)

Error running against hg 1.3.1

Reported by: marcusl Owned by: djc
Priority: normal Component: HgTimelinePlugin
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description

TypeError: init() got an unexpected keyword argument 'interactive'

Stacktrace:

#   File "/usr/lib/python2.4/site-packages/trac/web/main.py", line 435, in  _dispatch_request
Code fragment:

 430. try:
 431. if not env and env_error:
 432. raise HTTPInternalError(env_error)
 433. try:
 434. dispatcher = RequestDispatcher(env)
 435. dispatcher.dispatch(req)
 436. except RequestDone:
 437. pass
 438. resp = req._response or []
 439.  
 440. except HTTPException, e:

Local variables:
Name	Value
after 	[u' except RequestDone:', u' pass', u' resp = ...
before 	[u' try:', u' if not env and env_error:', u' raise ...
dispatcher 	<trac.web.main.RequestDispatcher object at 0xb7e6c40c>
e 	<exceptions.TypeError instance at 0xb7a5692c>
env 	<trac.env.Environment object at 0xb7c620cc>
env_error 	None
exc_info 	(<class exceptions.TypeError at 0xb7f712fc>, <exceptions.TypeError ...
filename 	'/usr/lib/python2.4/site-packages/trac/web/main.py'
frames 	[{'function': '_dispatch_request', 'lines_before': [u' try:', u' ...
has_admin 	True
line 	u' dispatcher.dispatch(req)'
lineno 	434
message 	u"TypeError: __init__() got an unexpected keyword argument 'interactive'"
req 	<Request "GET u'/query'">
resp 	[]
tb 	<traceback object at 0xb78f2054>
tb_hide 	None
traceback 	'Traceback (most recent call last):\n File ...
# File "/usr/lib/python2.4/site-packages/trac/web/main.py", line 175, in dispatch
Code fragment:

 170. if not req.path_info or req.path_info == '/':
 171. chosen_handler = self.default_handler
 172. # pre-process any incoming request, whether a handler
 173. # was found or not
 174. chosen_handler = self._pre_process_request(req,
 175. chosen_handler)
 176. except TracError, e:
 177. raise HTTPInternalError(e)
 178. if not chosen_handler:
 179. if req.path_info.endswith('/'):
 180. # Strip trailing / and redirect

Local variables:
Name	Value
chosen_handler 	<trac.ticket.query.QueryModule object at 0xb79a4c4c>
chrome 	<trac.web.chrome.Chrome object at 0xb7b3d2cc>
err 	(<class exceptions.TypeError at 0xb7f712fc>, <exceptions.TypeError ...
handler 	<trac.ticket.query.QueryModule object at 0xb79a4c4c>
req 	<Request "GET u'/query'">
self 	<trac.web.main.RequestDispatcher object at 0xb7e6c40c>
# File "/usr/lib/python2.4/site-packages/trac/web/main.py", line 298, in _pre_process_request
Code fragment:

 293. req.outcookie['trac_form_token']['secure'] = True
 294. return req.outcookie['trac_form_token'].value
 295.  
 296. def _pre_process_request(self, req, chosen_handler):
 297. for filter_ in self.filters:
 298. chosen_handler = filter_.pre_process_request(req, chosen_handler)
 299. return chosen_handler
 300.  
 301. def _post_process_request(self, req, *args):
 302. nbargs = len(args)
 303. resp = args

Local variables:
Name	Value
chosen_handler 	<trac.ticket.query.QueryModule object at 0xb79a4c4c>
filter_ 	<trac.versioncontrol.api.RepositoryManager object at 0xb7a566ac>
req 	<Request "GET u'/query'">
self 	<trac.web.main.RequestDispatcher object at 0xb7e6c40c>
# File "/usr/lib/python2.4/site-packages/trac/versioncontrol/api.py", line 86, in pre_process_request
Code fragment:

  81.  
  82. def pre_process_request(self, req, handler):
  83. from trac.web.chrome import Chrome, add_warning
  84. if handler is not Chrome(self.env):
  85. try:
  86. self.get_repository(req.authname).sync()
  87. except TracError, e:
  88. add_warning(req, _("Can't synchronize with the repository "
  89. "(%(error)s). Look in the Trac log for more "
  90. "information.", error=to_unicode(e.message)))
  91.

Local variables:
Name	Value
Chrome 	<class 'trac.web.chrome.Chrome'>
add_warning 	<function add_warning at 0xb7c59844>
handler 	<trac.ticket.query.QueryModule object at 0xb79a4c4c>
req 	<Request "GET u'/query'">
self 	<trac.versioncontrol.api.RepositoryManager object at 0xb7a566ac>
# File "/usr/lib/python2.4/site-packages/trac/versioncontrol/api.py", line 157, in get_repository
Code fragment:

 152. repos = self._cache[tid]
 153. else:
 154. rtype, rdir = self.repository_type, self.repository_dir
 155. if not os.path.isabs(rdir):
 156. rdir = os.path.join(self.env.path, rdir)
 157. repos = self._connector.get_repository(rtype, rdir, authname)
 158. self._cache[tid] = repos
 159. return repos
 160. finally:
 161. self._lock.release()
 162.  

Local variables:
Name	Value
authname 	u'marcusl'
candidates 	[(8, <tracext.hg.backend.MercurialConnector object at 0xb78ef5ec>)]
connector 	<tracext.hg.backend.MercurialConnector object at 0xb78ef5ec>
db 	<trac.db.pool.PooledConnection object at 0xb7a569cc>
prio 	8
rdir 	u'/var/lib/hg/core'
repos_type 	'hg'
rtype 	u'hg'
self 	<trac.versioncontrol.api.RepositoryManager object at 0xb7a566ac>
tid 	-1208195312
# File "build/bdist.linux-i686/egg/tracext/hg/backend.py", line 218, in get_repository
Local variables:
Name	Value
authname 	u'marcusl'
dir 	u'/var/lib/hg/core'
self 	<tracext.hg.backend.MercurialConnector object at 0xb78ef5ec>
type 	u'hg'
version 	<function version at 0xb7ad6064>
# File "build/bdist.linux-i686/egg/tracext/hg/backend.py", line 165, in _setup_ui
Local variables:
Name	Value
hgrc_path 	u''
self 	<tracext.hg.backend.MercurialConnector object at 0xb78ef5ec>
# File "build/bdist.linux-i686/egg/tracext/hg/backend.py", line 262, in __init__ 

Attachments (0)

Change History (1)

comment:1 Changed 5 years ago by marcusl

  • Resolution set to invalid
  • Status changed from new to closed

Sorry. Wrong plugin. ;-P

Add Comment

Modify Ticket

Action
as closed The owner will remain djc.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.